// VisCoronaProvider.inl



inline const char *CVisCoronaProvider::SzNameGetIDevice(int iDevice) const
{
	assert(m_plistszConnectedDevices != 0);
	assert((iDevice >= 0)
			&& (iDevice < m_plistszConnectedDevices->CszGet()));

	return m_plistszConnectedDevices->SzGetI(iDevice);
}


inline SVisSDC CVisCoronaProvider::SdcGetIDevice(int iDevice) const
{
	assert((iDevice >= 0)
			&& (iDevice < m_mpisdcConnected.size()));

	return m_mpisdcConnected[iDevice];
}


inline long CVisCoronaProvider::LSysGetISys(int iSys) const
{
	assert((iSys >= 0) && (iSys < 10));

	return s_rglSysNum[iSys];
}


inline char *CVisCoronaProvider::SzDigGetIDig(int iDig) const
{
	assert((iDig >= 0) && (iDig < m_listszDig.CszGet()));

	return const_cast<char *> (m_listszDig.SzGetI(iDig));
}


inline char *CVisCoronaProvider::SzChannelGetIChannel(int iChannel) const
{
	assert((iChannel >= 0) && (iChannel < 5));

	return s_rgszChannel[iChannel];
}

inline const CVisCoronaBufList& CVisCoronaProvider::CoronaBufList(void) const
{
	return m_coronabuflist;
}

inline CVisCoronaBufList& CVisCoronaProvider::CoronaBufList(void)
{
	return m_coronabuflist;
}
